<?php

  $server_name = strtolower($_SERVER['SERVER_NAME']);

  echo $server_name . "<br><br>";

  $start_JD = 2433182.19652778;
  $end_JD = $start_JD + 5000;

  $test_start = gettimeofday(true);

  for ($ij = $start_JD; $ij <= $end_JD; $ij++)
  {
    $p_num = rand(0, 9);

    $ls = Get_planet_data($ij, $p_num, 0, 0, $server_name);         //get planet's longitude and speed
    $p_long = $ls[0];
    $p_speed = $ls[3];
  }

  $test_end = gettimeofday(true);


  echo "This test took " . sprintf("%.2f", $test_end - $test_start) . " seconds to run on the above named server.<br><br>";


  exit();



Function Get_planet_data($jd, $p_idx, $g_h, $ecl_equ, $server_name)
{
  if ($server_name == "localhost" Or $server_name == "zzee.php.gui")
  {
    $eph_obj = new COM("astro_php.astro_php_class");

    $out = $eph_obj->Get_1_planet($jd, $p_idx, $g_h, $ecl_equ);

    $eph_obj = null;

    return explode(',',$out);
  }
  else
  {
    //get longitude of planet indicated by $p_idx
    $swephsrc = './sweph';
    $sweph = './sweph';

    putenv("PATH=$PATH:$swephsrc");     //adding this makes Linux server go to 21.12 sec from 16.24 sec - but it make Windows faster (1.92 to 0.60).

    unset($out,$t_long);
    exec ("swetest -edir$sweph -bj$jd -ut -p$p_idx -eswe -fls -g, -head", $out);

    // Each line of output data from swetest is exploded into array $row, giving these elements:
    // 0 = longitude
    // 1 = speed
    foreach ($out as $key => $line)
    {
      $row = explode(',',$line);
      $t_long[$key] = $row[0];
      $t_speed[$key] = $row[1];
    };

    $long_and_speed[0] = $t_long[0];
    $long_and_speed[3] = $t_speed[0];

    return $long_and_speed;
  }
}

?>
